Subject: Re: bug#12505: Unknown colorls variable `rs'

From: Pádraig Brady <[email-masked]>
Date: Mon, 24 Sep 2012 19:42:11 +0100

tag 12505 + notabug
close 12505

On 09/24/2012 06:46 PM, Rihan Haque wrote:
> Hi,
>
> I am using a computing cluster to run my jobs which uses Unix system.
> When I submit jobs (using *.csh script) I get following error:
> Unknown colorls variable `rs'
> in the out put log file.
>
> Could you please suggest a remedy?

I think you may be setting LSCOLORS up with
coreutils specific colors syntax.

You want to restrict such syntax to the
LS_COLORS variable (note the _).

For a script that abstracts away from all
these differences on various platforms, see:
http://www.pixelbeat.org/scripts/l

cheers,
Pádraig.